Subject: RE: [Sigtran] (M2PA) Initial version of M2PA IG is Now Available

From: "Erickson, Mark" <[email-masked]>
Date: Thu, 25 May 2006 11:14:53 -0500

Brian:

Not trying to pick on anyone here, but, out of all the prominent Sigtran
RFCs (SCTP, M3UA, SUA, M2PA and M2UA), this RFC is so well written that
each and every detail is crystal clear - especially with a controversial
area like PO (judging by the amount of discussion on the mailing list
with it).

So, I think the need for one is pretty clear.  In fact, when the IG was
first discussed, PO was offered as a prime item to be included.

The plugtest I attended was basically a unit test environment with a
perfect network.  Judging from the other protocols, operational
experience from continued deployments will uncover areas requiring
discussion/clarification.

If you don't agree with the list of issues as a first step, then where
the weak/unclear areas you think are?

Mark E.

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Wednesday, May 24, 2006 9:01 PM
To: Ong, Lyndon
Cc: Craig, Jeffrey; [email-masked]
Subject: Re: [Sigtran] (M2PA) Initial version of M2PA IG is Now
Available

Lyndon,

Sorry, I read through it again, and there is not one major bullet in
section 2 that I can agree with.  IMO they are all incorrect, out of
scope, unnecessary or already provided for in test specification.

This process strike me a rather backwards: normally the WG has
discussion to convince the editor of an IG to include an item in the IG,
rather than the editor of the IG trying to convince the WG that some
item needs to be included.  At least this is how we have operated in the
past and I believe that it makes sense.  That is the easiest way to
ensure that the IG represents concensus within the WG.  By reversing the
process, the IG does not represent the concensus of the WG.

I would gladly discuss any of these points within the WG, particularly
with the other authors of the RFC, but I feel that it would be a waste
of time to argue them with the IG's author when noone else in the WG
seems
to care to discuss them.

Contrary to the legal principle, silence in this case might mean
absence rather than consent. ;)

What happened to moving the WG to another area?  I thought that the
WG items were complete...  Are you suggesting that we recharter to
include an M2PA-IG as a work item?  What about the SUA-IG?  Should
we not complete an rfc3868bis incorporating the SUA-IG or move the
SUA-IG to an RFC?  The SUA-IG is already a WG item and currently
is the only oustanding item to completing the charter.

--brian

Lyndon Ong wrote:                            (Wed, 24 May 2006 19:51:15)
> Ouch, I see we still have a disagreement here.  Are there any
> points in Jeff's document that you agree with?   Are there 
> issues that you feel were missed in the document?
> 
> Also, what are other peoples' views, esp. those that have
> participated in the bakeoffs?
> 
> Advancing the test spec is I think a separate topic.
> 
> Thanks,
> 
> L. Ong 
> 
> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]] 
> Sent: Wednesday, May 24, 2006 10:40 AM
> To: Ong, Lyndon
> Cc: [email-masked]; Craig, Jeffrey
> Subject: Re: [Sigtran] (M2PA) Initial version of M2PA IG is Now
> Available
> 
> Lyndon,
> 
> On the contrary, in my case silence means that I disagree with the
> entire document.  IMHO it represents the author's views only, does not
> capture any discussions from the working group, and is unsuitable in
its
> current form as a WG item.
> 
> OTOH, as test specs are suitable as informational RFCs, and there is,
of
> yet, no other industry test specification for M2PA, I suggest that
> draft-bidulock-sigtran-m2pa-test-06.txt be advanced as an
informational
> RFC.
> 
> --brian
> 
> Lyndon Ong wrote:                                (Wed, 24 May 2006
> 10:42:57)
> > 
> >    Hi Folks,
> > 
> > 
> > 
> >    I have not seen any comments on Jeff's first draft of the M2PA
IG,
> > 
> >    so assuming that silence means no concerns - are there objections
> > 
> >    to making the next version a WG draft?
> > 
> > 
> > 
> >    Cheers,
> > 
> > 
> > 
> >    L. Ong
> >
_________________________________________________________________
> > 
> >    From: Craig, Jeffrey [mailto:[email-masked]]
> >    Sent: Thursday, May 11, 2006 1:38 PM
> >    To: [email-masked]
> >    Subject: [Sigtran] (M2PA) Initial version of M2PA IG is Now 
> > Available
> > 
> >    Hello All,
> > 
> > 
> > 
> >    The initial version of the M2PA Implementer's Guide is now
> available.
> > 
> >
> [1]http://www.ietf.org/internet-drafts/draft-craig-sigtran-m2pa-ig-00.
> >    txt
> > 
> >    Regards,
> > 
> >    Jeff
> > 
> > References
> > 
> >    1. 
> >
http://www.ietf.org/internet-drafts/draft-craig-sigtran-m2pa-ig-00.txt
> 
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> 
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 25 May 2006 17:08:57 -0600

Mark,

Erickson, Mark wrote:                                           (Thu, 25 May 2006 11:14:53)
> area like PO (judging by the amount of discussion on the mailing list

I'm glad that all you guys at Tekelec are on the same page. ;)

> first discussed, PO was offered as a prime item to be included.

The issues associated with resynchronization of sequence numbers raised
at the interop was address at 48 hours in the RFC.

> discussion/clarification.

I agree, we should close the IG until issues arrise in the future.

> the weak/unclear areas you think are?

I don't believe that there are any weak or unclear areas in the RFC.  It I
did, I would have raised them as issues at WGLC or, as an author, would have
made changes at 48 hours.  There is certainly no glaring error in the document
discovered later that needs to be corrected.

So, likely the best approach is a combination of what you and the other Mark
suggests: as the other Mark suggests, strike all items except FSN, and as
you suggest, leave the document dormant until issues arrise from future
operational experience.  In which case there is certainly no need to make it
a WG item (and all the process that entails), particularly in the light of
the WG moving to another area.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/